function cv = cvfunc(Uold)
global kappa psi tw phi b lambda tau fsbar P K Inc zh spending

A=((1-kappa)*zh*(1+lambda*fsbar)*(1+tau)*P/kappa/(1-tw))^psi;
B=(1-b)*(kappa+(1-kappa)*A^(1-1/psi))*A^(1/psi)/b/zh/(1-kappa);
D=(kappa+(1-kappa)*A^(1-1/psi))^(psi/(psi-1));
C=Uold/D^b/B^(1-b);
cv=Inc-phi*K-(1+lambda*fsbar)*(1+tau)*P*C;
% alternative cv inclusive of value of time: yields similar results
%cv=spending-((1+lambda*fsbar)*(1+tau)*P+(1-tw)*(B+A/zh))*C;
end

