function cv = cvfunc(Uold)
global kappa psi tw phi b lambda tau fsbar P K Inc zh spending xi eta

ulambda=xi*(1-lambda)^(1-eta)*lambda^eta;
A=lambda*(1-kappa)*zh*(1+tau)*(1+fsbar)*P/ulambda^(1-1/psi)/kappa/eta/(1-tw);
B=(kappa*ulambda^(1-1/psi)+(1-kappa)*A^(psi-1));
D=(1-b)*A*B/b/(1-kappa)/zh;

C=Uold/B^(b*psi/(psi-1))/D^(1-b);

cv=Inc-phi*K-(1+lambda*fsbar)*(1+tau)*P*C;
% alternative cv inclusive of value of time: yields similar results
%cv=spending-((1+lambda*fsbar)*(1+tau)*P+(1-tw)*(D+A^psi/zh))*C;
end

