function R=tfunc(t,pol_fixed,j)
global beta phi psi sig theta 
global tk tw kappa tau rhom rhos
global zeta gamma lambda delta Al As fe a alpha B
global Z Gamma Rl Rs
global nl ns yl ys fl fs fsbar phistar phibar r rl g P Y N y0 Ni K I C 
global options zerorated c0 b h0 ftax fixentry tauold c1 c2 u eta xi ctil

tau=t;
% Dependent on policy- tau, rhom, rhos
Rl=rhom+(1-rhom)*(1+tau);
fl=Rl^zeta/Al/Z;
nl=((1-zeta)*Rl/zeta)^zeta/Al;
yl=((1-zeta)*Rl/zeta)^(zeta-1)/Al;
ftax=fixentry*(((1+tauold)^zeta)/Al/Z-fl);
rl=(r+a*fl)/(1-delta);    

Rs=rhos+(1-rhos)*(1+tau);
ns=((1-gamma)*Rs/gamma)^gamma/As;
ys=((1-gamma)*Rs/gamma)^(gamma-1)/As;
fs= Rs^gamma/As/Gamma;
fsbar=fs*(1+rhos*tau*(1-gamma+gamma/Rs));
if zerorated==1 && rhos==1
    fsbar=fs;
end

phistar=((fl+ftax)/fe/(1-beta*(1-delta))/(theta-1))^(1/theta);
phibar=theta*phistar/(theta-1);
P=((fl+ftax)/phistar/(1-sig))^(1-sig)*(rl^(1-alpha)/sig/B)^sig;

% endogenous lambda
lambda=eta/(1+fsbar*(1-eta));


g = fzero(@(g) pfunc(g),[10.0^-8,5],options);
pfunc(g);

% Taxes
Tw=tw*N;
Tk=K*tk*(r-phi);
Tm=(1-rhom)*tau*yl*(g+a*K); % paid by banks (monitoring) 
Tsb=(1-rhos)*tau*ys*lambda*(1+tau)*P*C; % paid by banks (services)
Tsc=(rhos*tau*(ys+ns))*lambda*(1+tau)*P*C; % paid by consumers (services)
if zerorated==1 && rhos==1
    Tsc=0; % paid by consumers (services)    
end
Tvat=tau*P*C;
Tfix=ftax*g;
Tax=Tw+Tk+Tm+Tsc+Tsb+Tvat;%+Tfix;
wel=(kappa*u^((psi-1)/psi)+(1-kappa)*c0^((psi-1)/psi))^(b*psi/(psi-1))*(1-h0-N)^(1-b);
if j==1
    pol=Tax;
else
    pol=wel;
end
R=pol-pol_fixed;
